# Created by pyp2rpm-3.3.5
%global pypi_name Theano-PyMC
%global debug_package %{nil}

Name:           python-theano-pymc
Version:        1.1.2
Release:        %mkrel 1
Summary:        Optimizing compiler for evaluating mathematical expressions on CPUs and GPUs
Group:          Development/Python
License:        BSD
URL:            http://deeplearning.net/software/theano/
Source0:        https://files.pythonhosted.org/packages/source/T/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)

BuildRequires:  python3-devel
BuildRequires:  python3dist(filelock)
BuildRequires:  python3dist(numpy) >= 1.9.1
BuildRequires:  python3dist(scipy) >= 0.14
BuildRequires:  python3dist(setuptools)

%description
Theano is a Python library that allows you to define, optimize, and efficiently
evaluate mathematical expressions involving multi-dimensional arrays. It is
built on top of NumPy_. Theano features: * **tight integration with NumPy:** a
similar interface to NumPy's. numpy.ndarrays are also used internally in
Theano- compiled functions. * **transparent use of a GPU:** perform data-
intensive...

%package -n     python3-theano-pymc
Summary:        %{summary}
%{?python_provide:%python_provide python3-theano-pymc}

Requires:       python3dist(filelock)
Requires:       python3dist(numpy) >= 1.9.1
Requires:       python3dist(scipy) >= 0.14
Requires:       python3dist(setuptools)
%description -n python3-theano-pymc
Theano is a Python library that allows you to define, optimize, and efficiently
evaluate mathematical expressions involving multi-dimensional arrays. It is
built on top of NumPy_. Theano features: * **tight integration with NumPy:** a
similar interface to NumPy's. numpy.ndarrays are also used internally in
Theano- compiled functions. * **transparent use of a GPU:** perform data-
intensive...


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
rm -Rf %{buildroot}%{python3_sitelib}/tests
%pyproject_save_files theano


%files -n python3-theano-pymc -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/theano-cache
%{python3_sitelib}/bin


%changelog
* Tue Nov 29 2022 papoteur <papoteur> 1.1.2-1.mga9
+ Revision: 1912525
- imported package python-theano-pymc

